View Issue Details

IDProjectCategoryView StatusLast Update
0000009Gen2VDR 6.0[All Projects] Generalpublic2017-02-10 19:02
ReporterMegaV0lt 
Assigned ToHelAu 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionUpdate 1 
Target VersionUpdate 4Fixed in VersionUpdate 4 
Summary0000009: Befehle - System - Laufwerksbelegung(en)
Description

Befehle - System - Laufwerksbelegung(en) funktioniert nicht.

In der Datei system steht:
CD auswerfen : sh /_config/bin/eject.sh
Kapazitaet in % : df -h | grep '/mnt/data' | awk '{ print 100 - $5 "% fuer Aufnahmen frei"; }'
Speicherauslastung : cat /proc/meminfo
Update per Disc/USB? : screen -dm sh -c "/_config/update/g2v_update.sh -media"; echo "Update wird gestartet"
FSCheck ausloesen? : touch /forcefsck; rm -f /etc/lastCheck >/dev/null 2>&1; echo "Beim Herunterfahren wird FSCheck ausgefuehrt"
VDR beenden? : screen -dm sh -c "/etc/init.d/vdr stop"; echo "VDR wird beendet"
VDR neu starten? : screen -dm sh -c "kill -9 $(pidof vdr)"
System herunterfahren? : /_config/bin/vdr-set-shutdown 1; screen -dm sh -c "svdrpsend.pl HITK power"
System neu starten? : /sbin/reboot 2>&1
GPU Temperatur : screen -dm sh -c "svdrpsend MESG $(echo 'GPU Kern Temperatur $(nvidia-settings --display :0 -c :0.0 -q GPUCoreTemp -t) C')"
Display Frequenz : screen -dm sh -c "svdrpsend MESG Display Frequenz = $(nvidia-settings --display :0 -q RefreshRate |grep Hz |cut -d ":" -f4)"
Laufwerksbelegung(en) : /usr/local/sbin/df_media.sh

Die Datei ist dort aber nicht. Am besten einfach nach /_config/bin/df_media.sh und den Pfad in system anpassen. Könnte sogar den Punkt Kapazität in % ersetzen ;)
Das Skript habe ich mal angehängt

TagsSkript

Relationships

Activities

MegaV0lt

2017-02-08 16:14

administrator  

df_media.sh (1,312 bytes)

MegaV0lt

2017-02-10 12:26

administrator   ~0000007

Hi,
habe gerade das Update 3 eingespielt. Leider gibt es die Datei df_media.sh immer noch nicht. Im neuen Pfad unter /_config/bin ist sie nicht zu finden

Im Updateskript habe ich gesehen, dass eine df_media.sh gelöcht wird, aber keine neue im Archiv ist.

Ich habe mir die nun manuell rein kopiert... Ausgabe auf der Konsole:

root auf hdvdr01 am 10.02.2017 12:25
[~] # /_config/bin/df_media.sh
==> Interner Speicher (/video)
Filesystem Size Used Avail Use% Mounted on
/dev/sda3 1.8T 870G 839G 51% /mnt/data

==> Externe(r) Speicher (/media)
Filesystem Size Used Avail Use% Mounted on
/dev/sdb1 466G 101M 466G 1% /media/WD

HelAu

2017-02-10 12:41

administrator   ~0000008

Was meinst Du warum ich als Zielversion update 4 reingeschrieben habe, ich hatte das Script im Updatepaket vergessen es liegt ja schon bereit ;)

MegaV0lt

2017-02-10 12:50

administrator   ~0000009

Ups... Die Zielversion hatte ich natürlich übersehen ;)

Issue History

Date Modified Username Field Change
2017-02-08 16:14 MegaV0lt New Issue
2017-02-08 16:14 MegaV0lt Status new => assigned
2017-02-08 16:14 MegaV0lt Assigned To => HelAu
2017-02-08 16:14 MegaV0lt File Added: df_media.sh
2017-02-08 16:14 MegaV0lt Tag Attached: Skript
2017-02-09 17:51 HelAu Target Version => Update 4
2017-02-10 12:26 MegaV0lt Note Added: 0000007
2017-02-10 12:41 HelAu Note Added: 0000008
2017-02-10 12:50 MegaV0lt Note Added: 0000009
2017-02-10 19:02 HelAu Status assigned => resolved
2017-02-10 19:02 HelAu Resolution open => fixed
2017-02-10 19:02 HelAu Fixed in Version => Update 4